org.jboss.jca.as.converters.wls.api.metadata

## Enum InboundCallerPrincipalMapping.Tag

- java.lang.Object
- - java.lang.Enum<InboundCallerPrincipalMapping.Tag>
  - - org.jboss.jca.as.converters.wls.api.metadata.InboundCallerPrincipalMapping.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InboundCallerPrincipalMapping.Tag>
  Enclosing interface:
    InboundCallerPrincipalMapping

      public static enum InboundCallerPrincipalMapping.Tag
      extends java.lang.Enum<InboundCallerPrincipalMapping.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EIS_CALLER_PRINCIPAL` eis-caller-principal tag
    `MAPPED_CALLER_PRINCIPAL` mapped-caller-principal tag
    `UNKNOWN` always first

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InboundCallerPrincipalMapping.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static InboundCallerPrincipalMapping.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InboundCallerPrincipalMapping.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final InboundCallerPrincipalMapping.Tag UNKNOWN

      always first

    - #### EIS_CALLER_PRINCIPAL

          public static final InboundCallerPrincipalMapping.Tag EIS_CALLER_PRINCIPAL

      eis-caller-principal tag

    - #### MAPPED_CALLER_PRINCIPAL

          public static final InboundCallerPrincipalMapping.Tag MAPPED_CALLER_PRINCIPAL

      mapped-caller-principal tag

  - ### Method Detail

    - #### values

          public static InboundCallerPrincipalMapping.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InboundCallerPrincipalMapping.Tag c : InboundCallerPrincipalMapping.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InboundCallerPrincipalMapping.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<InboundCallerPrincipalMapping.Tag>`

    - #### forName

          public static InboundCallerPrincipalMapping.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)